For the complete documentation index, see llms.txt. This page is also available as Markdown.

Price options group

Working example: Retrieve price option groups

get

Overview

Extract information on the price option groups you configured.

Query parameters
NamestringOptional

The name of the pricing options groups configured in the 2Checkout system. Can be NULL.

Example: Users
Typesstring · enumOptional

Possible values: RADIO, CHECKBOX, INTERVAL, COMBO. Can be NULL.

Example: ["RADIO"]Possible values:
LimitintegerOptional

Number of results displayed per page. Default maximum value is 10. Can be NULL.

Example: 3
PageintegerOptional

A specific page of search results. Default value is 1. Can be NULL.

Example: 1
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
get
/priceoptions/
200

OK

Create price option groups

post

Overview

Create price option groups for your products.

  • Send options for each pricing group or 2Checkout throws an exception.

  • When adding an interval with no min / max values or overlapping values, 2Checkout throws an exception.

  • For the PayPerUsage type, Required parameter can be only false. For any other usage type, the Required parameter it can be either false or true.

Header parameters
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Acceptstring · enumRequiredExample: application/jsonPossible values:
Body
CodestringOptional
DescriptionstringOptional
Usagestring · enumOptionalPossible values:
UsagePricingModelstring · enumOptionalPossible values:
NamestringOptional
RequiredbooleanOptional
TypestringOptional
Responses
post
/priceoptions/
201

Created

No content

Retrieve a price options group

get

Overview

Extract information about a specific price option group that you configured.

Path parameters
GroupCodestringRequired

The code that the 2Checkout system generates or that you set for the product pricing options group.

Example: USERS123
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
get
/priceoptions/{GroupCode}/
200

OK

Update price options

put

Overview

Update/edit an existing price options group you configured for your account.

  • Price options intervals cannot overlap.

  • You cannot update the Code and Required parameters of the price options group.

  • For the PayPerUsage type, Required parameter can be only false. For any other usage type, the Required parameter it can be either false or true.

Path parameters
GroupCodestringRequired

The code that the 2Checkout system generates or that you set for the product pricing options group.

Example: USERS123
Header parameters
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Acceptstring · enumRequiredExample: application/jsonPossible values:
Body
CodestringOptional
Usagestring · enumOptionalPossible values:
DescriptionstringOptional
NamestringOptional
RequiredbooleanOptional
TypestringOptional
Responses
200

OK

application/json
put
/priceoptions/{GroupCode}/
200

OK

Retrieve a price options group

get
Path parameters
ProductCodestringRequired

The editable code that you control at product-level, not the unique, system-generated product ID.

Example: my_subscription_1
Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json
get
/products/{ProductCode}/priceoptions/
200

OK

Last updated

Was this helpful?